Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Global

    Object
       |
       +--Global

class Global

Method Summary
`<static> Boolean` | `isArray(<Object> val)` Returns true if the value passed as argument is an array.
`<static> Boolean` | `isBoolean(<Object> val)` Returns true if the value passed as argument is either a boolean literal or an instance of Boolean.
`<static> Boolean` | `isDate(<Object> val)` Returns true if the value passed as argument is either a Javascript date or an instance of java.util.Date.
`<static> Boolean` | `isFunction(<Object> val)` Returns true if the value passed as argument is a function.
`<static> Boolean` | `isNull(<Object> val)` Returns true if the value passed as argument is null.
`<static> Boolean` | `isNumber(<Object> val)` Returns true if the value passed as argument is either a number, an instance of Number or of java.lang.Number.
`<static> Boolean` | `isObject(<Object> val)` Returns true if the value passed as argument is either a Javascript object or an instance of java.lang.Object.
`<static> Boolean` | `isString(<Object> val)` Returns true if the value passed as argument is either a string literal, an instance of String or of java.lang.String.
`<static> Boolean` | `isUndefined(<Object> val)` Returns true if the value passed as argument is undefined.

Method Detail

### isArray

    <static> Boolean isArray(<Object> val)

Returns true if the value passed as argument is an array.

Parameters:

`val` - The value to test

Returns:

True if the value is an array, false otherwise

### isBoolean

    <static> Boolean isBoolean(<Object> val)

Returns true if the value passed as argument is either a boolean literal or an instance of Boolean.

Parameters:

`val` - The value to test

Returns:

True if the value is a boolean, false otherwise

### isDate

    <static> Boolean isDate(<Object> val)

Returns true if the value passed as argument is either a Javascript date or an instance of java.util.Date.

Parameters:

`val` - The value to test

Returns:

True if the value is a date, false otherwise

### isFunction

    <static> Boolean isFunction(<Object> val)

Returns true if the value passed as argument is a function.

Parameters:

`val` - The value to test

Returns:

True if the argument is a function, false otherwise

### isNull

    <static> Boolean isNull(<Object> val)

Returns true if the value passed as argument is null.

Parameters:

`val` - The value to test

Returns:

True if the value is null, false otherwise

### isNumber

    <static> Boolean isNumber(<Object> val)

Returns true if the value passed as argument is either a number, an instance of Number or of java.lang.Number.

Parameters:

`val` - The value to test

Returns:

True if the value is a number, false otherwise

### isObject

    <static> Boolean isObject(<Object> val)

Returns true if the value passed as argument is either a Javascript object or an instance of java.lang.Object.

Parameters:

`val` - The value to test

Returns:

True if the value is an object, false otherwise

### isString

    <static> Boolean isString(<Object> val)

Returns true if the value passed as argument is either a string literal, an instance of String or of java.lang.String.

Parameters:

`val` - The value to test

Returns:

True if the value is a string, false otherwise

### isUndefined

    <static> Boolean isUndefined(<Object> val)

Returns true if the value passed as argument is undefined.

Parameters:

`val` - The value to test

Returns:

True if the value is undefined, false otherwise

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008